Open CASCADE Technology: Interface_ShareFlags Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Interface_ShareFlags Class Reference

This class only says for each Entity of a Model, if it is Shared or not by one or more other(s) of this Model It uses the General Service "Shared". More...

`#include <Interface_ShareFlags.hxx>`

## Public Member Functions
| Interface_ShareFlags (const Handle< Interface_InterfaceModel > &amodel, const Interface_GeneralLib &lib)
| Creates a ShareFlags from a Model and builds required data (flags) by calling the General Service Library given as argument <lib> More...
| Interface_ShareFlags (const Handle< Interface_InterfaceModel > &amodel, const Handle< Interface_GTool > &gtool)
| Same as above, but GeneralLib is detained by a GTool. More...
| Interface_ShareFlags (const Handle< Interface_InterfaceModel > &amodel, const Handle< Interface_Protocol > &protocol)
| Same as above, but GeneralLib is defined through a Protocol. More...
| Interface_ShareFlags (const Handle< Interface_InterfaceModel > &amodel)
| Same as above, but works with the GTool of the Model. More...
| Interface_ShareFlags (const Interface_Graph &agraph)
| Creates a ShareFlags by querying informations from a Graph (remark that Graph also has a method IsShared) More...
Handle< Interface_InterfaceModel > | Model () const
| Returns the Model used for the evaluation. More...
Standard_Boolean | IsShared (const Handle< Standard_Transient > &ent) const
| Returns True if <ent> is Shared by one or more other Entity(ies) of the Model. More...
Interface_EntityIterator | RootEntities () const
| Returns the Entities which are not Shared (see their flags) More...
Standard_Integer | NbRoots () const
| Returns the count of root entities. More...
Handle< Standard_Transient > | Root (const Standard_Integer num=1) const
| Returns a root entity according its rank in the list of roots By default, it returns the first one. More...

## Detailed Description

This class only says for each Entity of a Model, if it is Shared or not by one or more other(s) of this Model It uses the General Service "Shared".

## Constructor & Destructor Documentation

Interface_ShareFlags::Interface_ShareFlags | ( | const Handle< Interface_InterfaceModel > & | amodel,
|  | const Interface_GeneralLib & | lib
| ) |  |

Creates a ShareFlags from a Model and builds required data (flags) by calling the General Service Library given as argument <lib>

Interface_ShareFlags::Interface_ShareFlags | ( | const Handle< Interface_InterfaceModel > & | amodel,
|  | const Handle< Interface_GTool > & | gtool
| ) |  |

Same as above, but GeneralLib is detained by a GTool.

Interface_ShareFlags::Interface_ShareFlags | ( | const Handle< Interface_InterfaceModel > & | amodel,
|  | const Handle< Interface_Protocol > & | protocol
| ) |  |

Same as above, but GeneralLib is defined through a Protocol.

Interface_ShareFlags::Interface_ShareFlags | ( | const Handle< Interface_InterfaceModel > & | amodel | ) |

Same as above, but works with the GTool of the Model.

Interface_ShareFlags::Interface_ShareFlags | ( | const Interface_Graph & | agraph | ) |

Creates a ShareFlags by querying informations from a Graph (remark that Graph also has a method IsShared)

## Member Function Documentation

Standard_Boolean Interface_ShareFlags::IsShared | ( | const Handle< Standard_Transient > & | ent | ) | const

Returns True if <ent> is Shared by one or more other Entity(ies) of the Model.

Handle< Interface_InterfaceModel > Interface_ShareFlags::Model | ( |  | ) | const

Returns the Model used for the evaluation.

Standard_Integer Interface_ShareFlags::NbRoots | ( |  | ) | const

Returns the count of root entities.

Handle< Standard_Transient > Interface_ShareFlags::Root | ( | const Standard_Integer | num = `1` | ) | const

Returns a root entity according its rank in the list of roots By default, it returns the first one.

Interface_EntityIterator Interface_ShareFlags::RootEntities | ( |  | ) | const

Returns the Entities which are not Shared (see their flags)

The documentation for this class was generated from the following file:

- Interface_ShareFlags.hxx